Bug 7881 - winbind flaky against w2k8
winbind flaky against w2k8
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Winbind
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-22 08:53 UTC by Volker Lendecke
Modified: 2012-05-30 18:56 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 3.4 (34.12 KB, patch)
2010-12-22 08:56 UTC, Volker Lendecke
metze: review+
Details
Patch for 3.5 (31.68 KB, patch)
2010-12-22 08:56 UTC, Volker Lendecke
metze: review+
Details
Patch (1.21 KB, patch)
2011-01-22 10:09 UTC, Volker Lendecke
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2010-12-22 08:53:18 UTC
W2k8 does not support *SMBSERVER as called_name (one of the main inventions of CIFS over SMB) anymore. If port 445 is slow to respond for some reason, winbind connects to port 139 and gives up when the DC gives "called name not present" in the netbios sessoin request.

The about to be attached patchsets allow the 139 connection to fail when 445 is just slow. The failure to connect to 139 will not be seen as fatal in case 445 eventually succeeds.

Volker
Comment 1 Volker Lendecke 2010-12-22 08:56:00 UTC
Created attachment 6159 [details]
Patch for 3.4
Comment 2 Volker Lendecke 2010-12-22 08:56:33 UTC
Created attachment 6160 [details]
Patch for 3.5
Comment 3 Stefan Metzmacher 2010-12-22 10:12:24 UTC
Comment on attachment 6159 [details]
Patch for 3.4

Looks good
Comment 4 Stefan Metzmacher 2010-12-22 10:15:49 UTC
Comment on attachment 6160 [details]
Patch for 3.5

Looks good
Comment 5 Stefan Metzmacher 2010-12-22 10:17:31 UTC
Karolin please pick for the next releases
Comment 6 Karolin Seeger 2010-12-26 15:16:08 UTC
Pushed to v3-4-test and v3-5-test.
Closing out bug report.

Thanks!
Comment 7 Volker Lendecke 2011-01-22 10:08:51 UTC
The patch is broken. Fix to follow.
Comment 8 Volker Lendecke 2011-01-22 10:09:38 UTC
Created attachment 6225 [details]
Patch

The attached patch applies to 3.4 and 3.5 for me.
Comment 9 Stefan Metzmacher 2011-01-23 08:37:16 UTC
Comment on attachment 6225 [details]
Patch

Looks good.

For master/3.6 we could think about removing the 'subreq' variable completely and use state->req_139 also in the if (port == 139) { code path.

metze
Comment 10 Stefan Metzmacher 2011-01-23 08:53:01 UTC
We could also use nb_connect_send() directly in the if (port == 139) { case.
Comment 11 Karolin Seeger 2011-01-23 12:35:52 UTC
(In reply to comment #8)
> Created an attachment (id=6225) [details]
> Patch
> 
> The attached patch applies to 3.4 and 3.5 for me.

Pushed to v3-5-test and v3-4-test. Will be included in Samba 3.4.11 and 3.5.7.
Re-assigning to Volker to comment on Metze's proposals for master/3.6.

Comment 12 Stefan Metzmacher 2012-05-30 18:56:34 UTC
See e697253263f9c5138f71574c8f35d1e5e7d957a5 in master